#include "GL_Scene.h"
#include "X3D_Scene.h"

#include <iostream>
using namespace std;

namespace X3DTK {
namespace GL {

Scene::Scene()
: X3DGroupingNode()
{
  define(Recorder<Scene>::getTypeName("Scene", "Core"));
}

Scene::~Scene()
{
}

void Scene::setFileName(const SFString &file)
{
  _fileName = file;
}

void Scene::update()
{
  if (x3dReference == 0)
    return;

  X3D::Scene *S = static_cast<X3D::Scene *>(x3dReference);
  
  _fileName = S->getFileName();
}

}
}
