#include "GL_StaticGroup.h"
#include "X3D_StaticGroup.h"

#include <algorithm>
#include <iostream>

using namespace std;

namespace X3DTK {
namespace GL {

StaticGroup::StaticGroup()
: X3DChildNode()
{  
  define(Recorder<StaticGroup>::getTypeName("StaticGroup", "Grouping"));
  
  define(Recorder<StaticGroup, X3DNode>::getMFNode("children", &StaticGroup::_children));
}

StaticGroup::~StaticGroup()
{ 
  removeChildren();
}

}
}
