#include "MESH_X3DGroupingNode.h"
#include "X3D_X3DNode.h"

#include <iostream>
#include <algorithm>

using namespace std;

namespace X3DTK {
namespace MESH {

X3DGroupingNode::X3DGroupingNode()
: X3DNode()
{
  define(Recorder<X3DGroupingNode>::getTypeName("X3DGroupingNode"));
   
  define(Recorder<X3DGroupingNode, X3DNode>::getMFNode("children", &X3DGroupingNode::_children));
  define(Recorder<X3DGroupingNode, X3D::X3DNode>::getMFNode("x3dchildren", &X3DGroupingNode::_x3dChildren));
}

X3DGroupingNode::~X3DGroupingNode()
{
  removeChildren();
}

}
}
