#include "X3D_PointSet.h"
#include "X3D_X3DColorNode.h"
#include "X3D_X3DCoordinateNode.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

PointSet::PointSet()
: X3DGeometryNode()
{
  define(Recorder<PointSet>::getTypeName("PointSet", "Rendering"));
  
  define(Recorder<PointSet, X3DColorNode>::getSFNode("color", &PointSet::_color));
  define(Recorder<PointSet, X3DCoordinateNode>::getSFNode("coord", &PointSet::_coord));
}

PointSet::~PointSet()
{
  removeChildren();
}

}
}
