#include "X3D_CoordinateInterpolator2D.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

CoordinateInterpolator2D::CoordinateInterpolator2D()
: X3DInterpolatorNode()
{
  define(Recorder<CoordinateInterpolator2D>::getTypeName("CoordinateInterpolator2D", "Interpolation"));
  
  define(Recorder<CoordinateInterpolator2D, MFVec2f>::getAttribute("keyValue", &CoordinateInterpolator2D::_keyValue, MFVec2f()));
}

CoordinateInterpolator2D::~CoordinateInterpolator2D()
{
}

void CoordinateInterpolator2D::setKeyValue(const MFVec2f &keyValue)
{
  _keyValue = keyValue;
}

}
}
