#include "X3D_OrientationInterpolator.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

OrientationInterpolator::OrientationInterpolator()
: X3DInterpolatorNode()
{
  define(Recorder<OrientationInterpolator>::getTypeName("OrientationInterpolator", "Interpolation"));
  
  define(Recorder<OrientationInterpolator, MFRotation>::getAttribute("keyValue", &OrientationInterpolator::_keyValue, MFRotation()));
}

OrientationInterpolator::~OrientationInterpolator()
{
}

void OrientationInterpolator::setKeyValue(const MFRotation &keyValue)
{
  _keyValue = keyValue;
}

}
}
